<template lang="pug">

.container.main-header
  .main-header__wrapper
    h1 {{ $store.state.headingTitle }}
      span.h1.main-header__id(v-if="$store.state.id") &nbsp;({{`id${$store.state.id}` }})
      a.main-header__go-public(
        v-if="$store.state.publicLink"
        :href="$store.state.publicLink"
        target="_blank")
        font-awesome-icon(
          icon="eye")

    .main-header__user
      span.main-header__user-name(
        v-if="$store.state.user"  )
        |{{ $store.state.user.attributes ? $store.state.user.attributes['last-name'] : ''}} {{$store.state.user.attributes ? $store.state.user.attributes['first-name'] : ''}}
      el-button.main-header__user-logout(
        type="text"
        @click="logout")
        | Выйти

  el-breadcrumb(
    separator-class='el-icon-arrow-right'
    v-if="$route.path !== '/admin'")

    el-breadcrumb-item(
      :to="{ path: '/admin' }") Хроника событий

    el-breadcrumb-item(
      v-for="(page, index) in $store.state.pages"
      :to="page.slug"
      v-if="$store.state.pages.length"
      :key="index") {{ page.name }}

    el-breadcrumb-item {{ $store.state.headingTitle }}

</template>

<script>
import * as Cookies from 'js-cookie';

export default {
  name: 'AppHeader',
  methods: {
    logout() {
      this.$store.commit('userAuth', false);
      this.$store.commit('adminAuth', false);
      Cookies.remove('__a_t');
      this.$router.push({ path: '/admin/login' });
    }
  }
};
</script>
